Package org.apache.sysds.api.mlcontext

## Class ProjectInfo

- java.lang.Object
- - org.apache.sysds.api.mlcontext.ProjectInfo

    public class ProjectInfo
    extends Object

Obtains information that is stored in the manifest when the SystemDS jar is built.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `buildTime()` Object the artifact build time from the manifest.
`static ProjectInfo` `getProjectInfo()` Return a ProjectInfo singleton instance.
`String` `minimumRecommendedSparkVersion()` Obtain the minimum recommended Spark version from the manifest.
`SortedMap<String,​String>` `properties()` Obtain all the properties from the manifest as a sorted map.
`String` `property​(String key)` Obtain a manifest property value based on the key.
`String` `toString()`
`String` `version()` Obtain the project version from the manifest.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getProjectInfo

    public static ProjectInfo getProjectInfo()

Return a ProjectInfo singleton instance.

Returns:
  the ProjectInfo singleton instance

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### property

    public String property​(String key)

Obtain a manifest property value based on the key.

Parameters:
  `key` - the property key
Returns:
  the property value

#### version

    public String version()

Obtain the project version from the manifest.

Returns:
  the project version

#### buildTime

    public String buildTime()

Object the artifact build time from the manifest.

Returns:
  the artifact build time

#### minimumRecommendedSparkVersion

    public String minimumRecommendedSparkVersion()

Obtain the minimum recommended Spark version from the manifest.

Returns:
  the minimum recommended Spark version

#### properties

    public SortedMap<String,​String> properties()

Obtain all the properties from the manifest as a sorted map.

Returns:
  the manifest properties as a sorted map